/*
 * $Header: /private/postgres/src/port/seq/RCS/port-protos.h,v 1.2 1991/11/06 14:56:07 clarsen Exp $
 */

/* dynamic_syms.c */

/* dynloader.c */
DynamicFunctionList *dynamic_file_load ARGS((char **err , char *filename , char **address , long *size ));
DynamicFunctionList *load_symbols ARGS((char *filename , struct exec *hdr , int entry_addr ));
func_ptr dynamic_load ARGS((char **err ));
int execld ARGS((char *address , char *tmp_file , char *filename ));

/* port.c */
int shmget ARGS((key_t key , int size , int shmflg ));
int shmop ARGS((void ));
int shmctl ARGS((int shmid , int cmd , struct shmid_ds *buf ));
char *shmat ARGS((int shmid , int shmaddr , int shmflg ));
int shmdt ARGS((void *shmaddr ));
double cbrt ARGS((double x ));
int sendannounce ARGS((char *line ));
